//
// Linear-Affine-Projective Geometry Package
//
// Lap.h
//
// $Header$
//
// William J.R. Longabaugh 
// University of Washington
//
// Implementation of the linear-affine-projective geometry
// package described in William J.R. Longabaugh, "An Expanded
// System for Coordinate-Free Geometric Programming", Master's 
// thesis, University of Washington, 1992.
//
// Copyright (c) 1992, William J.R. Longabaugh
//   Copying, use and development for non-commercial purposes permitted.
//   All rights for commercial use reserved.
//   This software is unsupported and without warranty; it is
//   provided "as is".
//
// ***********************************************************************
//
// Top-level include file for using the package
//
// This system has compiled and run successfully using CFRONT 1.2.  It
// was also designed to work with g++, specifically version 1.37.1
// (which is what was on the CSE department Sun workstations during
// development).  Some apparent g++ bugs (such as inheritance of
// assignment) have workarounds in the code.  However, there continue
// to be problems with g++, particularly with abnormal destructor calls
// that show up with matrices (size > 4) that need to use the heap.
// Thus, the use of g++ 1.37.1 IS NOT RECOMMENDED, except to do debugging
// using gdb, and then only with small dimension matrices.  For more
// discussion, see the thesis writeup. 
//
// ***********************************************************************

#ifndef Lap_h
#define Lap_h

#include "Lap1.h"
#include "Typeout.h"
#include "Object.h"
#include "Matrix.h"
#include "Geom.h"
#include "List.h"

#endif


