//
// Linear-Affine-Projective Geometry Package
//
// Typeout.h
//
// $Header$
//
// William J.R. Longabaugh 
// University of Washington
//
// Implementation of the linear-affine-projective geometry
// package described in William J.R. Longabaugh, "An Expanded
// System for Coordinate-Free Geometric Programming", Master's 
// thesis, University of Washington, 1992.
//
// Copyright (c) 1992, William J.R. Longabaugh
//   Copying, use and development for non-commercial purposes permitted.
//   All rights for commercial use reserved.
//   This software is unsupported and without warranty; it is
//   provided "as is".
//
// ***********************************************************************

#ifndef Typeout_h
#define Typeout_h
  
#include <stream.h>
#include "Lap1.h"

// Declare the existence of functions that can be used to obtain
// descriptive outputs for the enumerated types:

extern ostream& SpaceTypeOut(ostream& c, SpaceType t);
extern ostream& BasisTypeOut(ostream& c, BasisType t);
extern ostream& GeObTypeOut(ostream& c, GeObType t);
extern ostream& MapTypeOut(ostream& c, MapType t);
extern ostream& MultiTypeOut(ostream& c, MultiType t);
extern ostream& SubSetTypeOut(ostream& c, SubSetType t);
extern ostream& SRelOut(ostream& c, SRel t);

#endif 











